//
// $Id: CityAttributesInspector.h,v 1.4 1997/10/22 05:43:39 nygard Exp $
//

//
//  This file is a part of Empire, a game of exploration and conquest.
//  Copyright (C) 1996  Steve Nygard
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//  You may contact the author by:
//     e-mail:  nygard@telusplanet.net
//

#import <AppKit/AppKit.h>
#import "EmInspector.h"
#import "Empire.h"

//======================================================================

@interface CityAttributesInspector : EmInspector
{
    IBOutlet NSTextField *cityNameTextfield;
    IBOutlet NSTextField *cityLocationTextfield;
    IBOutlet NSButton *portSwitch;
    IBOutlet NSMatrix *productionMatrix;
    IBOutlet NSMatrix *turnsToConstructMatrix;
    IBOutlet NSMatrix *underConstructionMatrix;
    IBOutlet NSMatrix *unitImageMatrix;
    IBOutlet NSButton *cityImageButton;
}

+ instance;
- (void) awakeFromNib;

- init;
- (void) dealloc;

- (void) ok;
- (void) revert;
- (BOOL) wantsButtons;

- (void) changed:sender;

- (void) useIconsForPlayer:(Player)playerNumber;
- (void) vendorImagesUpdated:(BOOL)player1:(BOOL)player2:(BOOL)player3:(BOOL)other;

@end
